using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.UnityExtensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Microsoft.Practices.Unity;

namespace Philisense.Congress.Prism
{
    public class Bootstrapper : UnityBootstrapper  
    {
        protected override System.Windows.DependencyObject CreateShell()
        {
            return Container.Resolve<MainWindow>();
        }
        protected override void InitializeShell()
        {
            base.InitializeShell();

        #if SILVERLIGHT  
                    App.Current.RootVisual = (UIElement)this.Shell;  
        #else
                    App.Current.MainWindow = (Window)this.Shell;
                    App.Current.MainWindow.Show();
        #endif
        }
        protected override void ConfigureModuleCatalog()
        {
            base.ConfigureModuleCatalog();
            ModuleCatalog moduleCatalog = (ModuleCatalog)this.ModuleCatalog;
            moduleCatalog.AddModule(typeof(BootViewModel));  
            //moduleCatalog.AddModule(typeof(Philisense.Congress.ControlUI.ViewModel.ControlViewModel));
        }

    }
}
